#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CENSLAU_Microdati_2007_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_CENSLAU_2007<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CENSLAU_2007, "label") <- c(
"Ateneo di conseguimento della laurea",
"Tipo di corso di laurea in cui  stato conseguito il titolo (raggruppamento a 3 modalit per l'indagine 2011)",
"Gruppo disciplinare di afferenza del corso",
"Area disciplinare di afferenza del gruppo",
"Aggregazione di classi/corsi per l'indagine 2011 sui laureati",
"Regione dove si sono tenute le lezioni del corso di laurea",
"Provincia dove si sono tenute le lezioni del corso di laurea",
"Sesso",
"Cittadinanza del laureato",
"Regione di residenza del laureato risultante presso l'ateneo",
"Provincia di residenza del laureato risultante presso l'ateneo",
"Confronto a livello locale tra sede didattica di studio e residenza del laureato",
"Confronto a livello provinciale tra sede didattica di studio e residenza del laureato",
"Coefficiente di riporto")

Ateneo_Fact <- factor(Ril_CENSLAU_2007$Ateneo, 
levels=c("00101", 
"00102", 
"00201", 
"00401", 
"00701", 
"01001", 
"01201", 
"01202", 
"01501", 
"01502", 
"01503", 
"01504", 
"01505", 
"01508", 
"01509", 
"01601", 
"01701", 
"01801", 
"02101", 
"02201", 
"02301", 
"02701", 
"02702", 
"02801", 
"03001", 
"03201", 
"03401", 
"03601", 
"03701", 
"03801", 
"04101", 
"04201", 
"04301", 
"04302", 
"04801", 
"05001", 
"05201", 
"05202", 
"05401", 
"05403", 
"05601", 
"05801", 
"05802", 
"05803", 
"05805", 
"05806", 
"05807", 
"05808", 
"05809", 
"05810", 
"05811", 
"05813", 
"06001", 
"06201", 
"06301", 
"06302", 
"06303", 
"06304", 
"06306", 
"06501", 
"06601", 
"06701", 
"06901", 
"06902", 
"07001", 
"07101", 
"07201", 
"07202", 
"07203", 
"07501", 
"07601", 
"07801", 
"07901", 
"08001", 
"08201", 
"08301", 
"08601", 
"08701", 
"09001", 
"09201"), 
labels=c("Universit degli studi di Torino", 
"Politecnico di Torino", 
"Universit degli studi del Piemonte orientale Amedeo Avogadro", 
"Universit di Scienze Gastronomiche", 
"Universit della Valle d'Aosta", 
"Universit degli studi di Genova", 
"Universit Carlo Cattaneo (LIUC)", 
"Universit degli studi dell' Insubria", 
"Universit degli studi di Milano", 
"Politecnico di Milano", 
"Universit commerciale Luigi Bocconi di Milano", 
"Universit Cattolica del Sacro Cuore", 
"Libera Universit di Lingue e Comunicazione (IULM)", 
"Libera Universit, Vita-Salute San Raffaele di Milano", 
"Universit degli studi di Milano-Bicocca", 
"Universit degli studi di Bergamo", 
"Universit degli studi di Brescia", 
"Universit degli studi di Pavia", 
"Libera Universit di Bolzano", 
"Universit degli studi di Trento", 
"Universit degli studi di Verona", 
"Universit degli studi Ca' Foscari di Venezia", 
"Universit Iuav di Venezia", 
"Universit degli studi di Padova", 
"Universit degli studi di Udine", 
"Universit degli studi di Trieste", 
"Universit degli studi di Parma", 
"Universit degli studi di Modena e Reggio Emilia", 
"Universit degli studi di Bologna", 
"Universit degli studi di Ferrara", 
"Universit degli studi Carlo Bo di Urbino", 
"Universit Politecnica delle Marche - Ancona", 
"Universit degli studi di Macerata", 
"Universit degli studi di Camerino", 
"Universit degli studi di Firenze", 
"Universit degli studi di Pisa", 
"Universit degli studi di Siena", 
"Universit per stranieri di Siena", 
"Universit degli studi di Perugia", 
"Universit per stranieri di Perugia", 
"Universit degli Studi della Tuscia", 
"Universit degli studi di Roma La Sapienza", 
"Universit degli studi di Roma Tor Vergata", 
"Libera Universit Maria SS.Assunta - (LUMSA) di Roma", 
"Libera Universit internazionale degli studi sociali Guido Carli - (LUISS) di Roma", 
"Istituto Universitario di Scienze Motorie - (IUSM) di Roma", 
"Universit degli studi Roma Tre", 
"Universit Campus Bio-Medico di Roma", 
"Libera Universit degli studi San Pio V di Roma", 
"Universit telematica Guglielmo Marconi di Roma", 
"Universit telematica TEL.M.A. di Roma", 
"Universit telematica internazionale UNINETTUNO di Roma", 
"Universit degli studi di Cassino", 
"Universit degli Studi del Sannio", 
"Universit degli studi di Napoli Federico II", 
"Universit degli studi di Napoli - Parthenope", 
"Universit degli studi L'Orientale di Napoli", 
"Istituto Universitario Suor Orsola Benincasa di Napoli", 
"Seconda Universit degli studi di Napoli", 
"Universit degli studi di Salerno", 
"Universit degli studi di LAquila", 
"Universit degli studi di Teramo", 
"Universit degli studi Gabriele DAnnunzio di Chieti", 
"Universit telematica non statale Leonardo da Vinci di Torrevecchia Teatina (CH)", 
"Universit degli studi del Molise", 
"Universit degli studi di Foggia", 
"Universit degli studi di Bari", 
"Politecnico di Bari", 
"Libera Universit Mediterranea Jean Monnet", 
"Universit degli studi di Lecce", 
"Universit degli studi della Basilicata", 
"Universit degli studi della Calabria", 
"Universit degli studi di Catanzaro - Magna Grecia", 
"Universit degli studi Mediterranea di Reggio Calabria", 
"Universit degli studi di Palermo", 
"Universit degli studi di Messina", 
"Libera Universit della Sicilia Centrale KORE di Enna", 
"Universit degli studi di Catania", 
"Universit degli studi di Sassari", 
"Universit degli studi di Cagliari")) 


Tipologia_corso_IL11_Fact <- factor(Ril_CENSLAU_2007$Tipologia_corso_IL11, 
levels=c("1", 
"2", 
"3"), 
labels=c("Laurea a ciclo unico (di durata 4-6 anni)", 
"Laurea specialistica (di durata 2 anni)", 
"Laurea (di durata 3 anni)")) 


Gruppo_disciplinare_Fact <- factor(Ril_CENSLAU_2007$Gruppo_disciplinare, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16"), 
labels=c("Scientifico", 
"Chimico-farmaceutico", 
"Geo-biologico", 
"Medico", 
"Ingegneria", 
"Architettura", 
"Agrario", 
"Economico-statistico", 
"Politico-sociale", 
"Giuridico", 
"Letterario", 
"Linguistico", 
"Insegnamento", 
"Psicologico", 
"Educazione fisica", 
"Difesa e sicurezza")) 


Area_disciplinare_Fact <- factor(Ril_CENSLAU_2007$Area_disciplinare, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Umanistica", 
"Economico-statistica", 
"Politico-sociale", 
"Scientifica", 
"Giuridica", 
"Ingegneria", 
"Architettura", 
"Medica", 
"Educazione fisica")) 


Classe_Corso_IL11_Fact <- factor(Ril_CENSLAU_2007$Classe_Corso_IL11, 
levels=c("10101", 
"10102", 
"10103", 
"10104", 
"10201", 
"10202", 
"10203", 
"10301", 
"10302", 
"10303", 
"10304", 
"10401", 
"10402", 
"10501", 
"10502", 
"10503", 
"10504", 
"10505", 
"10506", 
"10507", 
"10601", 
"10602", 
"10701", 
"10702", 
"10703", 
"10801", 
"10802", 
"10803", 
"10901", 
"10902", 
"10903", 
"10904", 
"11001", 
"11002", 
"11101", 
"11102", 
"11103", 
"11104", 
"11105", 
"11201", 
"11202", 
"11301", 
"11401", 
"11501", 
"20101", 
"20102", 
"20103", 
"20104", 
"20201", 
"20301", 
"20302", 
"20303", 
"20304", 
"20305", 
"20401", 
"20402", 
"20403", 
"20501", 
"20502", 
"20503", 
"20504", 
"20505", 
"20506", 
"20507", 
"20508", 
"20509", 
"20510", 
"20601", 
"20602", 
"20701", 
"20702", 
"20801", 
"20802", 
"20803", 
"20804", 
"20901", 
"20902", 
"20903", 
"20904", 
"20905", 
"20906", 
"20907", 
"20908", 
"20909", 
"21001", 
"21101", 
"21102", 
"21103", 
"21104", 
"21105", 
"21106", 
"21201", 
"21202", 
"21203", 
"21301", 
"21302", 
"21401", 
"21501", 
"21601", 
"30101", 
"30102", 
"30103", 
"30104", 
"30201", 
"30202", 
"30301", 
"30302", 
"30303", 
"30304", 
"30305", 
"30401", 
"30402", 
"30403", 
"30404", 
"30501", 
"30502", 
"30503", 
"30601", 
"30602", 
"30603", 
"30701", 
"30702", 
"30801", 
"30802", 
"30803", 
"30901", 
"30902", 
"30903", 
"30904", 
"30905", 
"30906", 
"30907", 
"31001", 
"31002", 
"31101", 
"31102", 
"31103", 
"31104", 
"31105", 
"31106", 
"31201", 
"31202", 
"31301", 
"31401", 
"31501", 
"31601"), 
labels=c("Matematica", 
"Fisica; Astronomia", 
"Informatica; Scienze dell'informazione", 
"Altri corsi del gruppo scientifico", 
"Chimica; Chimica industriale", 
"Farmacia", 
"Chimica e tecnologia farmaceutiche; Biotecnologie farmaceutiche", 
"Scienze geologiche", 
"Scienze naturali", 
"Scienze biologiche", 
"Altri corsi del gruppo geo-biologico", 
"Medicina e chirurgia", 
"Odontoiatria e protesi dentaria", 
"Ingegneria meccanica", 
"Ingegneria elettrica; Ingegneria elettronica; Ingegneria elettrotecnica", 
"Ingegneria civile; Ingegneria edile", 
"Ingegneria informatica", 
"Ingegneria gestionale", 
"Ingegneria per l'ambiente e il territorio", 
"Altri corsi del gruppo ingegneria", 
"Architettura; Architettura delle costruzioni; Ingegneria edile - architettura", 
"Altri corsi del gruppo architettura", 
"Scienze agrarie; Scienze e tecnologie agrarie; Scienze forestali; Scienze forestali ed ambientali", 
"Medicina veterinaria", 
"Altri corsi del gruppo agrario", 
"Economia e commercio", 
"Economia aziendale", 
"Altri corsi del gruppo economico-statistico", 
"Scienze politiche; Scienze internazionali e diplomatiche; Relazioni pubbliche", 
"Sociologia", 
"Scienze della comunicazione", 
"Altri corsi del gruppo politico-sociale", 
"Giurisprudenza", 
"Scienze strategiche", 
"Lettere; Materie letterarie", 
"Filosofia", 
"Discipline dell'arte, della musica e dello spettacolo; Musicologia", 
"Conservazione dei beni culturali; Storia e conservazione dei beni culturali", 
"Altri corsi del gruppo letterario", 
"Lingue e letterature straniere; Lingue e letterature straniere moderne", 
"Altri corsi del gruppo linguistico", 
"Scienze della formazione primaria; Scienze dell'educazione; Pedagogia", 
"Psicologia", 
"Scienze motorie", 
"Fisica; Scienze dell'universo", 
"Informatica; Informatica per le discipline umanistiche", 
"Matematica", 
"Altre classi delle lauree specialistiche del gruppo scientifico", 
"Scienze chimiche; Scienze e tecnologie della chimica industriale", 
"Biologia", 
"Biotecnologie mediche, veterinarie e farmaceutiche", 
"Biotecnologie industriali; Biotecnologie agrarie", 
"Altre classi delle lauree specialistiche del gruppo geo-biologico", 
"Scienze della natura", 
"Classe delle lauree specialistiche nelle scienze infermieristiche e ostetriche", 
"Classe delle lauree specialistiche nelle scienze delle professioni sanitarie della riabilitazione", 
"Altre classi delle lauree specialistiche del gruppo medico", 
"Ingegneria gestionale", 
"Ingegneria informatica", 
"Ingegneria meccanica", 
"Ingegneria elettronica; Ingegneria elettrica", 
"Ingegneria delle telecomunicazioni", 
"Ingegneria civile", 
"Ingegneria per l'ambiente e il territorio", 
"Ingegneria biomedica", 
"Ingegneria aerospaziale e astronautica", 
"Altre classi delle lauree specialistiche del gruppo ingegneria", 
"Architettura e ingegneria edile", 
"Altre classi delle lauree specialistiche del gruppo architettura", 
"Scienze e tecnologie agrarie; Scienze e tecnologie agroalimentari", 
"Scienze e gestione delle risorse rurali e forestali; Scienze e tecnologie agrozootecniche", 
"Scienze economico-aziendali", 
"Scienze dell'economia", 
"Statistica per la ricerca sperimentale; Statistica economica, finanziaria ed attuariale; Statistica demografica e sociale; Metodi per l'analisi valutativa dei sistemi complessi", 
"Altre classi delle lauree specialistiche del gruppo economico-statistico", 
"Relazioni internazionali", 
"Programmazione e gestione delle politiche e dei servizi sociali", 
"Editoria, comunicazione multimediale e giornalismo", 
"Scienze della comunicazione sociale e istituzionale; Pubblicit e comunicazione d'impresa", 
"Scienze delle pubbliche amministrazioni", 
"Scienze della politica", 
"Sociologia", 
"Teoria della comunicazione; Tecniche e metodi per la societ dell'informazione", 
"Altre classi delle lauree specialistiche del gruppo politico-sociale", 
"Giurisprudenza; Teoria e tecniche della normazione e dell'informazione giuridica", 
"Lingua e cultura italiana; Filologia moderna; Filologia e letterature dell'antichit", 
"Scienze dello spettacolo e della produzione multimediale", 
"Storia dell'arte", 
"Storia della filosofia; Filosofia teoretica, morale, politica ed estetica; Filosofia e storia della scienza", 
"Storia moderna; Storia medievale; Storia contemporanea; Storia antica", 
"Altre classi delle lauree specialistiche del gruppo letterario", 
"Lingue straniere per la comunicazione internazionale", 
"Lingue e letterature moderne euroamericane", 
"Altre classi delle lauree specialistiche del gruppo linguistico", 
"Scienze pedagogiche", 
"Scienze dell'educazione degli adulti e della formazione continua; Programmazione e gestione dei servizi educativi e formativi", 
"Psicologia; Scienze cognitive", 
"Scienze e tecnica dello sport; Scienze e tecniche delle attivit motorie preventive e adattative; Organizzazione e gestione dei servizi per lo sport e le attivit motorie", 
"Scienze della difesa e della sicurezza", 
"Scienze e tecnologie della navigazione marittima e aerea", 
"Scienze e tecnologie fisiche", 
"Scienze e tecnologie informatiche", 
"Scienze matematiche", 
"Scienze e tecnologie chimiche", 
"Scienze e tecnologie farmaceutiche", 
"Biotecnologie", 
"Scienze biologiche", 
"Scienze della Terra", 
"Scienze e tecnologie per l'ambiente e la natura", 
"Scienze geografiche", 
"Professioni sanitarie, infermieristiiche e professione sanitaria ostetrica", 
"Professioni sanitarie della riabilitazione", 
"Professioni sanitarie tecniche", 
"Professioni sanitarie della prevenzione", 
"Ingegneria civile e ambientale", 
"Ingegneria dell'informazione", 
"Ingegneria industriale", 
"Scienze dell'architettura e dell'ingegneria edile", 
"Urbanistica e scienze della pianificazione territoriale e ambientale", 
"Disegno industriale", 
"Scienze e tecnologie agrarie, agroalimentari e forestali", 
"Scienze e tecnologie zootecniche e delle produzioni animali", 
"Scienze dell'economia e della gestione aziendale", 
"Scienze economiche", 
"Scienze statistiche", 
"Scienze del servizio sociale", 
"Scienze della comunicazione", 
"Scienze politiche e delle relazioni internazionali", 
"Scienze dell'amministrazione", 
"Scienze sociali per la cooperazione, lo sviluppo e la pace", 
"Scienze sociologiche", 
"Scienze del turismo", 
"Scienze dei servizi giuridici", 
"Scienze giuridiche", 
"Lettere", 
"Scienze dei beni culturali", 
"Scienze e tecnologie delle arti figurative, della musica, dello spettacolo e della moda", 
"Filosofia", 
"Scienze storiche", 
"Tecnologie per la conservazione e il restauro dei beni culturali", 
"Scienze della mediazione linguistica", 
"Lingue e culture moderne", 
"Scienze dell'educazione e della formazione", 
"Scienze e tecniche psicologiche", 
"Scienze delle attivit motorie e sportive", 
"Scienze della difesa e della sicurezza")) 


Sede_didattica_Regione_Fact <- factor(Ril_CENSLAU_2007$Sede_didattica_Regione, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("PIEMONTE", 
"VALLE D'AOSTA/VALLE D'AOSTE", 
"LOMBARDIA", 
"TRENTINO-ALTO ADIGE/SDTIROL", 
"VENETO", 
"FRIULI-VENEZIA GIULIA", 
"LIGURIA", 
"EMILIA-ROMAGNA", 
"TOSCANA", 
"UMBRIA", 
"MARCHE", 
"LAZIO", 
"ABRUZZO", 
"MOLISE", 
"CAMPANIA", 
"PUGLIA", 
"BASILICATA", 
"CALABRIA", 
"SICILIA", 
"SARDEGNA")) 


Sede_didattica_Provincia_Fact <- factor(Ril_CENSLAU_2007$Sede_didattica_Provincia, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"107", 
"108", 
"109"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO/BOZEN", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI'-CESENA", 
"PESARO e URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"CARBONIA-IGLESIAS", 
"MONZA E DELLA BRIANZA", 
"FERMO")) 


Sesso_Fact <- factor(Ril_CENSLAU_2007$Sesso, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


Cittadinanza_Fact <- factor(Ril_CENSLAU_2007$Cittadinanza, 
levels=c("1", 
"2"), 
labels=c("Italiana", 
"Non Italiana")) 


Residenza_Regione_Fact <- factor(Ril_CENSLAU_2007$Residenza_Regione, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"88"), 
labels=c("PIEMONTE", 
"VALLE D'AOSTA/VALLE D'AOSTE", 
"LOMBARDIA", 
"TRENTINO-ALTO ADIGE/SDTIROL", 
"VENETO", 
"FRIULI-VENEZIA GIULIA", 
"LIGURIA", 
"EMILIA-ROMAGNA", 
"TOSCANA", 
"UMBRIA", 
"MARCHE", 
"LAZIO", 
"ABRUZZO", 
"MOLISE", 
"CAMPANIA", 
"PUGLIA", 
"BASILICATA", 
"CALABRIA", 
"SICILIA", 
"SARDEGNA", 
"ESTERO")) 


Residenza_Provincia_Fact <- factor(Ril_CENSLAU_2007$Residenza_Provincia, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"888"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO/BOZEN", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI'-CESENA", 
"PESARO e URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"MASSA-CARRARA", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"MEDIO CAMPIDANO", 
"CARBONIA-IGLESIAS", 
"MONZA E DELLA BRIANZA", 
"FERMO", 
"BARLETTA-ANDRIA-TRANI", 
"ESTERO")) 


Confr_Sede_didattica_Resid1_Fact <- factor(Ril_CENSLAU_2007$Confr_Sede_didattica_Resid1, 
levels=c("1", 
"2", 
"3"), 
labels=c("Stesso comune", 
"Stesso SLL01", 
"Altro SLL01")) 


Confr_Sede_didattica_Resid2_Fact <- factor(Ril_CENSLAU_2007$Confr_Sede_didattica_Resid2, 
levels=c("1", 
"2"), 
labels=c("Stessa provincia", 
"Altra provincia")) 

save.image (file="Ril_CENSLAU_2007.RData")
